About DiskInternals Flash Recovery

DiskInternals Flash Recovery is a flash memory file recovery tool that every digital camera owner should have handy. Essentially, this program is a “first aid kit” for digital photographers and comes to the rescue at the exact time when it’s needed.

Unfortunately, photographs are often accidentally deleted or lost due to hardware (camera or memory) malfunction. Sometimes, flash memory gets re-formatted. The good news is that in all of these cases the images are not lost. DiskInternals Flash Recovery can undelete and restore photographs in a matter of seconds or minutes.

This is how it works. You connect your camera or flash memory stick to PC. Computer recognizes it as an external disk. The program then starts scanning memory, showing every picture that can be recovered. All of this can be done with the free evaluation version of DiskInternals Flash Recovery. To save these images, you need to register the program. DiskInternals Flash Recovery is not just simple, it’s brain-dead simple. There is no need to set any options - the entire process is done automatically with a built-in Photo Recovery wizard.

The program recovers images from hard-drives, external drives, cameras and flash memory devices such as SmartMedia , CompactFlash, Memory Stick, MicroDrive, xD Picture Card Flash Card, PC Card, Multimedia Card, Secure Digital Card, and many others.


DiskInternals Flash Recovery: Overview of features

Overview of features

DiskInternals Flash Recovery is a flash memory file recovery tool that restores all corrupted and deleted photographs even if a memory card was re-formatted. You can see recovered images even with the free trial version. 100% Success Rate.

DiskInternals Flash Recovery Features:
  • Easy Recovery Wizard.
  • Can preview and recover JPEG, JPG, TIFF, BMP, PNG, GIF, TGA and other images.
  • Works under Microsoft® Windows® 95, 98, ME, NT, 2000, XP, 2003 Server.
  • Supported file systems: FAT12, FAT16, FAT32, NTFS (NT 4), NTFS5 (2000, XP).
  • Recovered files can be saved on any (including network) disks visible to the host operating system.
  • Creates recovery snapshot files for logical drives. Such files can be processed like regular disks.

DiskInternals Flash Recovery can:
  • Recover Pictures deleted by accident
  • Recover Photos from the erased or formatted media
  • Preview recoverable images before purchasing the program
  • Restore Photos deleted from digital cameras.
  • Undelete Photos deleted from the Recycle Bin.

From various storage media including:
  • Hard Drive
  • Digital camera
  • Floppy disk
  • Zip Disk
  • Jaz Disk
  • Smart Media Card
  • Sony Memory Stick
  • Compact Flash card
  • MicroDrive
  • Secure Digital Cards
  • xD Picture Card
  • Flash Card
  • PC Card
  • Multimedia Card
  • Any USB disk
  • and many others


System Requirements

Minimal System Requirements:
  • An Intel-compatible platform running Windows 9x/ME/NT4.0/2000/XP/2003.
  • At least 16 MB of RAM, a mouse, and enough disk space for recovered files.
  • The administrative privileges are required to run DFR under WinNT/2000/XP/2003.


How to register DiskInternals Flash Recovery

The evaluation version cannot save recovered images, but can display the preview of found images. If you can see a preview, you are sure to be able to recover the picture or the photo after you buy the full version of the program.

Once you have purchased the product by filling in the online order form, a license key will be sent to you via email to unlock the software for use.

As a registered customer, you receive:

  • Ability to save recovered images
  • Fully functional, unrestricted copy of the software
  • A top-priority Customer support
  • Free upgrade to any minor version (1.x)

Information about prices and ways of payment can be found on our registration page. Registration is easy, simply press "Buy Now" and purchase the program online.

If you can preview images with evaluation version,
you are guaranteed to be able to recover it!


Unregistered version limitations

The evaluation version cannot save recovered images, but can display the preview of found images. If you can see a preview, you are sure to be able to recover the picture or the photo after you buy the full version of the program.

If you can preview images with evaluation version,
you are guaranteed to be able to recover it!


Lisence

DiskInternals FLASH RECOVERY Copyright(c) 2003-2005 DiskInternals Research.
All rights reserved.

END-USER LICENSE AGREEMENT
IMPORTANT-READ CAREFULLY: This End-User License Agreement ("EULA") is a legal
agreement between you (either an individual or a single entity) later referred
to as "LICENSEE" and DiskInternals Research later referred to as "DiskInternals" for
the software product DiskInternals FLASH RECOVERY later referred to as "SOFTWARE". By
installing, copying, or otherwise using the SOFTWARE, you agree to be bound by
the terms of this EULA. If you do not agree to the terms of this EULA, do not
purchase, install or use the SOFTWARE.

The DiskInternals may have patents, patent applications, trademarks, copyrights, or
other intellectual property rights covering subject matter in this document.
The furnishing of this document does not give you any license to these
patents, trademarks, copyrights, or other intellectual property.

SOFTWARE LICENSE

Copyright laws and international copyright treaties, as well as other
intellectual property laws and treaties protect the SOFTWARE. The SOFTWARE is
licensed, not sold.

1. GRANT OF LICENSE.
This EULA grants you the following rights:
-You may use this SOFTWARE. "Use" of the SOFTWARE means that you have loaded,
installed or run the SOFTWARE on to a computer or server.
-You may use this SOFTWARE in compliance with all applicable laws and not for
any unlawful purpose. Without limiting the foregoing, use, display or
distribution of this SOFTWARE together with material that is pornographic,
racist, vulgar, obscene, defamatory, libelous, abusive, promoting hatred,
discriminating or displaying prejudice based on religion, ethnic heritage,
race sexual orientation or age is strictly prohibited.

2. DISTRIBUTION.
This SOFTWARE may be distributed, provided that:
- Such distribution includes only the original distributive file supplied by
DiskInternals. You may not alter, delete or add any files in the distributive
file or modify the SOFTWARE in any way.
- No money is charged to the person receiving this SOFTWARE, beyond
reasonable cost of packaging and other overhead.

3. DESCRIPTION OF OTHER RIGHTS AND LIMITATIONS.
- You may not reverse engineer, recompile, and disassembly, modify, translate
the SOFTWARE and make any attempt to discover the source code of the SOFTWARE.
- You may not transfer, sell, re-sell, offer for sale or distribute the
SOFTWARE in any way except in accordance with paragraph 2 above. For
information about distribution of DiskInternals Software, contact us at
sales@DiskInternals.com.

4. DISCLAIMER OF WARRANTY.
THIS SOFTWARE AND THE ACCOMPANYING FILES ARE SOLD "AS IS"
AND WITHOUT WARRANTIES AS TO PERFORMANCE OR MERCHANTABILITY
OR ANY OTHER WARRANTIES WHETHER EXPRESSED OR IMPLIED.
YOU USE THE SOFTWARE AT YOUR OWN RISK.

NO LIABILITY FOR CONSEQUENTIAL DAMAGES. To the maximum extent permitted by
applicable law, in no event shall the DiskInternals or its employees, contractors,
agents, distributors or suppliers be liable for any special, incidental,
indirect, or consequential damages whatsoever (including, without limitation,
damages for loss of business profits, business interruption, loss of business
information, loss of data, loss of business opportunity, loss or damages to
property, injuries to any person or any pecuniary loss,) arising out of the
use of or inability to use the SOFTWARE, even if the DiskInternals has been advised on
the possibility of such damages. In any case, the DiskInternals entire liability under
any provision of this EULA shall be limited EXCLUSIVELY TO PRODUCT
REPLACEMENT.

5. GOVERNING LAW
This agreement shall by laws of the Province of Ontario and the laws of
Canada applicable therein. You hereby irrevocably attorn and submit to the
non-exclusive jurisdiction of the court of Toronto, Ontario, and any competent
Courts of Appeal there from. If any provision shall be considered unlawful,
void or otherwise unenforceable, then that provision shall be deemed severable
from this license and not affect the validity and enforceability of any other
provisions.

The DiskInternals reserves all rights not expressly granted here.

ACKNOWLEDGEMENT

I, the LICENSEE, acknowledge that I have read the above EULA and agree with
the terms and conditions of the agreement. I also agree that the EULA
supersedes any prior agreement, written or verbal, which may exist between me
and the DiskInternals on the subject of the SOFTWARE.


Getting started

The software is easy to use and does not require any additional skills. We tried to make working with it as comfortable and similar to Windows Scanner and Camera Wizard as possible.

To get acquainted with its main features, we recommend that you read these sections:

  • Step by step Recovery
  • View Demo Tutorial
  • Connect you media using Card Reader
  • How to register DiskInternals Flash Recovery


Using a Card Reader with your Digital Camera

An Introduction to Card Readers

Memory card readers make image transfer a breeze, without draining camera batteries or tying up the camera. Card readers are defined by two important points:

  • The type of memory card your camera uses to store images. Card readers are available for all popular memory card types, including CompactFlash, SmartMedia, Sony MemoryStick, and more.
  • The type of connection they make with computer. USB is the most common type of card reader, and for good reason: most computers include at least one USB connection port, and USB card readers provide good transfer speeds.

    Some computers—laptops, in particular—come with slots that accept cards directly into the computer or via a PC card adapter. These features essentially function in the same way a card reader does.

    Regardless of which reader you select, you can look forward to a smooth image transfer experience. In some cases, the transfer is dramatically faster than tethering (it is rarely slower with modern card readers).

    Installing a Card Reader

    To install a card reader

    1. In many cases, Windows automatically locates and install what it needs to recognize the card reader. While most readers don't require special software, if yours does, install it before you plug in the reader for the first time.
    2. Plug the reader into the appropriate connection port.
    3. A Found New Hardware pop-up window appears telling you that the computer has detected new hardware. It sometimes also shows the name of the device. The appropriate software is then loaded into your system. At the end of the process, another pop-up window tells you Your new hardware is installed and ready to use.

    The program works directly with the memory card of your camera. If the media is not in the list of disks, you should use an external card reader to enable the memory card.

    The card reader will appear on your computer as a new drive letter and will be called 'Removable Disc'. After this you can restart DiskInternals Flash Recovery and scan recent connected drive.


Step by step Recovery

Do It Yourself

  • Connect your digital camera to the computer. This is usually accomplished with a Universal Serial Bus (USB) cable. (Or connect your memory card, and memory card reader if required, to your computer.
  • Run the DiskInternals Flash Recovery. Click Next, and follow the instructions in the wizard.

Topics in this help section

Welcome to Recovery Wizard

Select the Drive to Scan

Choose Pictures to Recover

Picture Name and Destination


Page 1 of 4: Welcome to Recovery Wizard

This is the welcome page of Recovery Wizard. Here you can learn about Recovery Wizard features and proceed to file recovery by clicking the Next button.


Page 2 of 4: Select the Drive to Scan

Select drives to search for deleted files in. You can select only one drive for searching.

To open additional search parameters, click "More >>".

The following commands are available in the drop-down menu

Scan drive - starts searching the selected drive for files.

Create Recovery Snapshot - creates an exact copy of your drive. Learn more ...

Mount Recovery Snapshot - mounts a recovery snapshot. Learn more ...

Fast drive scan - quickly scans the drive. It works really fast, but finds fewer photos than a full scan.

Full drive scan (recommended) - scans the entire drive. It always finds all recoverable photos.

Refresh - refresh the list of drives. Select this command if your camera was mounted after the start of the program.


Page 3 of 4: Choose Picture to Recover

Page 3 of 4: Choose Pictures to Recover

If you want to recover All photos in your camera (or on your memory card), click Next.

If you want to choose which pictures to transfer, click Clear All, select the check boxes next to the photos you want to recover, and then click Next.


Page 4 of 4: Picture Name and Destination

The wizard puts your photos in the My Pictures folder on your computer unless you choose another location. Click Next.

When the transfer is complete, click Finish. The folder that contains your newly recovered photos opens.


Recovery Snapshot

Topics in this help section:

What is Recovery Snapshot?

Creating Recovery Snapshot

Mounting Recovery Snapshot


What is Recovery Snapshot

A Recovery Snapshot is a mirror of your media that is stored in one file. It can be useful if you want to backup the contents of the entire drive, and restore it or work with it later. Before you start recovering the deleted files, it may be a good idea to create a Recovery Snapshot for this drive, if you have enough space at another drive. Why? Because if you do something wrong while recovering files (for example, recovering them onto the same drive can destroy their contents), you still will be able to recover these deleted files and folders from the Recovery Snapshot that you have wisely created.


Create Recovery Snapshot

To create an Recovery Snapshot, you should specify the necessary drive and select the "Create Recovery Snapshot" command from the menu.


Mount Recovery Snapshot

It is very easy to work with Recovery Snapshot and it does not require any special skills. After you mount an Recovery Snapshot, you will be able to work with it as if it were a usual disk

You should select the "Mount Recovery Snapshot" command from the menu to mount Recovery Snapshot.


DiskInternals Flash Recovery Technical support

Technical support

Our free support service is available for all users. If you have any questions, do not hesitate to ask them.

There are two ways to contact us - using e-mail or our web form.

Contact us via email

Support: support@DiskInternals.com

Sales: sales@DiskInternals.com

Contact us via our web form

Ask question online

We will try to reply as soon as possible, but not later than one business day.


Getting DiskInternals Flash Recovery Updates

Getting Program Updates

You can download DiskInternals Flash Recovery at the following location: http://DiskInternals.com/download/


DiskInternals Recovery Software

Visit our site www.DiskInternals.com and try our products

DiskInternals Uneraser

Have you deleted a file you need?

DiskInternals Uneraser can recover any deleted file, including documents, photos, mp3 and zip files, or even folders and damaged disks. In addition to HDD, the program supports any type of storage media (music sticks, cameras, flash drives, USB drives, etc)! It works with encrypted files and helps you undelete file lost because of a virus attack or an employee's malicious behavior. No special skills needed; 100% FREE to try.

Product features:

  • Standard Windows Explorer interface, Drag and Drop support.
  • Works under Microsoft Windows 9x / NT / 2000 / XP / 2003.
  • Supported all file systems: FAT / FAT32 / NTFS / NTFS5.
  • Unique technology for recovering deleted files (FAT32)
  • Recovers compressed files (NTFS, NTFS5).
  • Recovers from any storage media.

More information

DiskInternals CD&DVD Recovery

Recover lost/deleted/corrupted files on CDs and DVDs

Just finished burning CD or DVD, only to find out that some files appear to be corrupted or inaccessible? Power went out, while recording data? This solution will recover files from CDs and DVDs, including multi-session ones. CD-R, CD-RW, DVD-R, DVR+R, DVD-RW, DVR+RW and DVD-RAM disks are supported. The program recovers any type of files - data, video, music, etc. The program supports both ISO 9660 and Joliet file systems. Try it now!

More information

NTFS Reader for Windows 95, 98, Me

Provides read access to NTFS disks from Windows 95, 98 and Me. Allows you to save any files from NTFS disks to any visible local or network drive. Compressed and encrypted files are supported. Looks like Windows Explorer and is easy to use.

Note: Damaged NTFS partitions are also supported!

More information


Searching for recoverable files

Searching the memory card for photos. It can take some time depending on the size of the media and the number of photos stored on it.


Program registration

Unregistered version limitations

The unregistered version cannot save recovered pictures. Once you have purchased the product by filling in the online order form, a license key will be sent to you via email to unlock the software for use.

If you can preview images, you are guaranteed to be able to recover it!

Buy it Now!


Recovering Pictures

Please wait while the wizard recovers your pictures. It can take some time depending on the size of the media and the number of photos stored on it.


Completing the Digital Photo Recovery Wizard

When the transfer is complete, click Finish. The folder that contains your newly recovered photos opens.